Jump to content

Poll: What version of .net are you using?


Simon Brown
 Share

What version of .net are you using?  

31 members have voted

  1. 1. What version of .net are you using?

    • 2.0
      5
    • 3.0
      7
    • 3.5
      13
    • Don't Know and I have XP
      6
    • Don't Know and I have Vista
      0
    • Don't Know and I use another OS
      0


Recommended Posts

.NET 3.5 is almost 200MB (6 minute download for me)

So I'll stick to 2.0 as long as possible.. (so probably until PDN 4 is released)

@sabrown100: what's in 3 or 3.5 that you would want to use anyway?

I would write plugins, if I knew what kind of plugins were needed.. :(

Link to comment
Share on other sites

.NET 3.5 is almost 200MB (6 minute download for me)

The 200 MB version is only for the redistributable, which includes code for every possible configuration, including 64 bit. On a fresh XP virtual machine with no .NET, it was about 60 MB. It should be smaller for you since you already have .NET 2.

Link to comment
Share on other sites

I don't know and I have XP.

How do I find out?

Go to C:\WINDOWS\Microsoft.NET\Framework. There will be several folders in there with numbers on - the highest is your version of the framework.

Control Panel > Add / Remove programs disregards any and all fuss, and the browsing through system folders, especially for someone who may not be comfortable doing so.

As an alternative means, of course :).

Link to comment
Share on other sites

I say target whichever version you want to use features from. .NET is free. Paint.NET 4.0 will require .NET 3.5.

What are the chances of MS making a newer version of .NET framework before 4.0? - Just a little question I'm wondering.

As for me, I'm running NET 3.0

Link to comment
Share on other sites

I say target whichever version you want to use features from. .NET is free. Paint.NET 4.0 will require .NET 3.5.

What are the chances of MS making a newer version of .NET framework before 4.0? - Just a little question I'm wondering.

As for me, I'm running NET 3.0

They will happen round about the same time. My guess is that .NET 4.0 will arrive in 2009 at the same time as Windows 7.

KaHuc.png
Link to comment
Share on other sites

I say target whichever version you want to use features from. .NET is free. Paint.NET 4.0 will require .NET 3.5.

I believe that, beyond this statement, this thread is unnecessary. The .NET framework doesn't affect anything visible (i.e. your user experience) other than Paint.NET and a few other programs.

Link to comment
Share on other sites

.NET 3.5 is almost 200MB (6 minute download for me)

The 200 MB version is only for the redistributable, which includes code for every possible configuration, including 64 bit. On a fresh XP virtual machine with no .NET, it was about 60 MB. It should be smaller for you since you already have .NET 2.

The non-redist does not work (for me) (it keeps failing and retrying the download)

I would want the 64 bit version which is unfortunately bigger than the 32 bit version anyway (using 32bit .NET on a 64bit computer is almost a crime)

I believe that, beyond this statement, this thread is unnecessary. The .NET framework doesn't affect anything visible (i.e. your user experience) other than Paint.NET and a few other programs.

It affects any .NET program (so all C# and VB.NET programs for example) and there are actually quite a lot of them. But most of them only need .NET 2.0 anyway, and just about everyone has that.

I would write plugins, if I knew what kind of plugins were needed.. :(

Link to comment
Share on other sites

Ok, I saw how to finf out which framework I'm using, but how do I get 3.5 if I don't have it?

---- Gallery | Sig Tutorial | deviantART | Sig Videos | PhotoBucket ----

D                  E                  S                  T                  I                 N                  Y

Link to comment
Share on other sites

---- Gallery | Sig Tutorial | deviantART | Sig Videos | PhotoBucket ----

D                  E                  S                  T                  I                 N                  Y

Link to comment
Share on other sites

I just found out which version I'm using.

It's 3.0 :D

I'm currently downloading 3.5 right now.

---- Gallery | Sig Tutorial | deviantART | Sig Videos | PhotoBucket ----

D                  E                  S                  T                  I                 N                  Y

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...